summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2019-12-03 11:49:10 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2019-12-03 11:51:42 -0800
commit88ad8b377e65ec8bf61ca563e0e2007fa472a717 (patch)
tree4fd945041567ae393c5d8b06524207f5794fdf7d /net-dns/dnscrypt-proxy
parentdev-python/fields: RESTRICT="!test? ( test )" (diff)
downloadgentoo-88ad8b377e65ec8bf61ca563e0e2007fa472a717.tar.gz
gentoo-88ad8b377e65ec8bf61ca563e0e2007fa472a717.tar.bz2
gentoo-88ad8b377e65ec8bf61ca563e0e2007fa472a717.zip
net-dns/dnscrypt-proxy: bump to 2.0.34
also migrate to go-module.eclass Package-Manager: Portage-2.3.79, Repoman-2.3.17 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'net-dns/dnscrypt-proxy')
-rw-r--r--net-dns/dnscrypt-proxy/Manifest1
-rw-r--r--net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.34.ebuild99
2 files changed, 100 insertions, 0 deletions
diff --git a/net-dns/dnscrypt-proxy/Manifest b/net-dns/dnscrypt-proxy/Manifest
index 3637c4bc0f5..0fd9093f95d 100644
--- a/net-dns/dnscrypt-proxy/Manifest
+++ b/net-dns/dnscrypt-proxy/Manifest
@@ -5,3 +5,4 @@ DIST dnscrypt-proxy-2.0.28.tar.gz 2620245 BLAKE2B fe31dd6d8054c4ae3d5892aaef0c83
DIST dnscrypt-proxy-2.0.29.tar.gz 2621844 BLAKE2B 3ebd02b3c9df9dcb41d27d38a9d9f64c01d98f7b1afee7a7c3b1dd3ef26b2104aae650e34ff1b5651007461ee75d28bcfbfa3c7e82c32532f36553740e3dcb50 SHA512 f02abe56e017153e7fc8b4a26b34c90f68554a1b32a16558c05e8113327896dbf7f81aa69c76fa823a4a0a697b4bb2089bdeb1237ad4ef3587121c2d4cdfe78c
DIST dnscrypt-proxy-2.0.31.tar.gz 2640523 BLAKE2B cf2e2b5557e6fcf59d3d28978db6c5e46f6b7f58aa4c5ae423149ec2f557269e88846dc4f97c6f6f20ff013b14b61b20d2df750d6b07946606293778a31e0ca1 SHA512 500c800213b94bf8ecbea7493716de5fe41afd584c70844519f1f50827b94a28ec982f2c2b85f7a281dca58273ba968113beed6a965c62bb3dc47ab83d7a1629
DIST dnscrypt-proxy-2.0.33.tar.gz 2723092 BLAKE2B 26ed819f264c1a536b2e47d9ffa412097eba5c9597ad2a5e7ff7a485ad660aeb882c5ce527bb072a5f7b5782387ce1b72cc74400973f9cebd66a50bd2308d830 SHA512 5c6eb655aa70457889253cbf630e7e37011a461a7f181f0a667694d53146ad9dee88bbbf80c7db3187bba0054af2a63b7b5be1a229800b2566a9758e9d047429
+DIST dnscrypt-proxy-2.0.34.tar.gz 2741556 BLAKE2B 81e3c5b1de70cf81882725b1d1f9bfb0b687dbac6ce408c70178ac7107c6c4fc6fbee4a05deb775519aef82c2added5cec9e264a73af1b6eca1524ecd973c381 SHA512 b48bbedbd5fea5514669ff5593ecd0aee083979c3030fe775558441ee2c398206eba786b9497022c3fab08fe7ee49dcc5205303629834f8fe65d7246e3352381
diff --git a/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.34.ebuild b/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.34.ebuild
new file mode 100644
index 00000000000..e3266982fa2
--- /dev/null
+++ b/net-dns/dnscrypt-proxy/dnscrypt-proxy-2.0.34.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_PN="github.com/jedisct1/${PN}"
+
+inherit fcaps go-module systemd
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://${EGO_PN}.git"
+else
+ SRC_URI="https://${EGO_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+fi
+
+DESCRIPTION="A flexible DNS proxy, with support for encrypted DNS protocols"
+HOMEPAGE="https://github.com/jedisct1/dnscrypt-proxy"
+
+LICENSE="Apache-2.0 BSD ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="pie"
+
+BDEPEND=">=dev-lang/go-1.13"
+
+RDEPEND="
+ acct-group/dnscrypt-proxy
+ acct-user/dnscrypt-proxy
+"
+
+FILECAPS=( cap_net_bind_service+ep usr/bin/dnscrypt-proxy )
+PATCHES=( "${FILESDIR}"/config-full-paths-r10.patch )
+
+src_compile() {
+ pushd "${PN}" >/dev/null || die
+ go build -buildmode="$(usex pie pie default)" || die
+ popd >/dev/null || die
+}
+
+src_install() {
+ pushd "${PN}" >/dev/null || die
+
+ dobin dnscrypt-proxy
+
+ insinto /etc/dnscrypt-proxy
+ newins example-dnscrypt-proxy.toml dnscrypt-proxy.toml
+ doins example-{blacklist.txt,whitelist.txt}
+ doins example-{cloaking-rules.txt,forwarding-rules.txt}
+
+ popd >/dev/null || die
+
+ insinto /usr/share/dnscrypt-proxy
+ doins -r "utils/generate-domains-blacklists/."
+
+ newinitd "${FILESDIR}"/dnscrypt-proxy.initd-r1 dnscrypt-proxy
+ newconfd "${FILESDIR}"/dnscrypt-proxy.confd dnscrypt-proxy
+
+ systemd_newunit "${FILESDIR}"/dnscrypt-proxy.service dnscrypt-proxy.service
+ systemd_newunit "${FILESDIR}"/dnscrypt-proxy.socket dnscrypt-proxy.socket
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/dnscrypt-proxy.logrotate dnscrypt-proxy
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ fcaps_pkg_postinst
+ go-module_pkg_postinst
+
+ if ! use filecaps; then
+ ewarn "'filecaps' USE flag is disabled"
+ ewarn "${PN} will fail to listen on port 53"
+ ewarn "please do one the following:"
+ ewarn "1) re-enable 'filecaps'"
+ ewarn "2) change port to > 1024"
+ ewarn "3) configure to run ${PN} as root (not recommended)"
+ ewarn
+ fi
+
+ if systemd_is_booted || has_version sys-apps/systemd; then
+ elog "Using systemd socket activation may cause issues with speed"
+ elog "latency and reliability of ${PN} and is discouraged by upstream"
+ elog "Existing installations advised to disable 'dnscrypt-proxy.socket'"
+ elog "It is disabled by default for new installations"
+ elog "check "$(systemd_get_systemunitdir)/${PN}.service" for details"
+ elog
+
+ fi
+
+ elog "After starting the service you will need to update your"
+ elog "/etc/resolv.conf and replace your current set of resolvers"
+ elog "with:"
+ elog
+ elog "nameserver 127.0.0.1"
+ elog
+ elog "Also see https://github.com/jedisct1/${PN}/wiki"
+}